<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "practice_service_type".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "PracticeServiceType".
 *
 * Columns in table "practice_service_type" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property integer $practice_id
 * @property integer $service_type_id
 * @property string $phone_number
 *
 */
abstract class BasePracticeServiceType extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'practice_service_type';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'PracticeServiceType|PracticeServiceTypes', $n);
    }

    public static function representingColumn()
    {
        return 'phone_number';
    }

    public function rules()
    {
        return array(
            array('practice_id, service_type_id', 'required'),
            array('practice_id, service_type_id', 'numerical', 'integerOnly' => true),
            array('phone_number', 'length', 'max' => 14),
            array('phone_number', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, practice_id, service_type_id, phone_number', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'practice_id' => Yii::t('app', 'Practice'),
            'service_type_id' => Yii::t('app', 'Service Type'),
            'phone_number' => Yii::t('app', 'Phone Number'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('practice_id', $this->practice_id);
        $criteria->compare('service_type_id', $this->service_type_id);
        $criteria->compare('phone_number', $this->phone_number, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
